<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						   							 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/
?>
<?php

	include_once(realpath(dirname(__FILE__)) . "/../../../../classes/Baseobj.class.php");

	// Points relais
	class Socolissimo_pr extends Baseobj{

		var $id;
		var $point;
		var $libelle;
		var $voie;
		var $complement;
		var $lieudit;
		var $indiceloc;
		var $cpostal;
		var $commune;
		var $latitude;
		var $longitude;
		var $divers;
		var $type;
		var $poids;
		var $lot;
		var $distribution;
		var $version;
		var $ligne;

        var $table="socolissimo_pr";
        var $bddvars = array("id", "point", "libelle", "voie", "complement", "lieudit", "indiceloc", "cpostal", "commune", "latitude", "longitude", "divers", "type", "poids", "lot", "distribution", "version","ligne");


		function Socolissimo_pr(){
			$this->Baseobj();
		}
		
		function init(){
			
			$cnx = new Cnx();
			$query_cnx = "CREATE TABLE socolissimo_pr (
							`id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
							`point` TEXT NOT NULL ,
							`libelle` TEXT NOT NULL ,
							`voie` TEXT NOT NULL ,
							`complement` TEXT NOT NULL ,
							`lieudit` TEXT NOT NULL ,
							`indiceloc` TEXT NOT NULL ,
							`cpostal` TEXT NOT NULL ,
							`commune` TEXT NOT NULL ,
							`latitude` TEXT NOT NULL ,
							`longitude` TEXT NOT NULL ,
							`divers` TEXT NOT NULL ,
							`type` TEXT NOT NULL ,
							`poids` INT NOT NULL ,
							`lot` TEXT NOT NULL ,
							`distribution` TEXT NOT NULL ,
							`version` TEXT NOT NULL,
							`ligne` INT NOT NULL
							) ";
			$resul_cnx = mysql_query($query_cnx, $cnx->link);
			
			
		}

        function charger(){
                 $id = func_get_arg(0);
                 return $this->getVars("select * from $this->table where id=\"$id\"");

        }

        function charger_point(){
                 $point = func_get_arg(0);
                 return $this->getVars("select * from $this->table where point=\"$point\"");

        }
                
        function boucle($texte, $args){

			$id = lireTag($args, "id");
			$point = lireTag($args, "point");
			$obligepoint = lireTag($args, "obligepoint");
			$pttype = lireTag($args, "pttype"); // BPR : Bureau Poste A2P : marchands, CIT : City

            $search ="";
            $res="";

            if($id != "")  $search.=" and id=\"$id\"";
            if($point != "")  $search.=" and point=\"$point\"";
            if($pttype != "")  $search.=" and type=\"$pttype\"";

			if($obligepoint !=" " && $point == "")
				return "";
				
            $query_pr = "select * from $this->table where 1 $search";
            $resul_pr = mysql_query($query_pr, $this->link);
            $nbres = mysql_num_rows($resul_pr);

            if(!$nbres) return "";

            while( $row = mysql_fetch_object($resul_pr)){
                 $temp = str_replace("#ID", "$row->id", $texte);
                 $temp = str_replace("#POINT", "$row->point", $temp);
                 $temp = str_replace("#LIBELLE", "$row->libelle", $temp);
                 $temp = str_replace("#VOIE", "$row->voie", $temp);
                 $temp = str_replace("#COMPLEMENT", "$row->complement", $temp);
                 $temp = str_replace("#LIEUDIT", "$row->lieudit", $temp);
                 $temp = str_replace("#INDICELOC", "$row->indiceloc", $temp);
                 $temp = str_replace("#CPOSTAL", "$row->cpostal", $temp);
                 $temp = str_replace("#COMMUNE", "$row->commune", $temp);
                 $temp = str_replace("#LATITUDE", "$row->latitude", $temp);
                 $temp = str_replace("#LONGITUDE", "$row->longitude", $temp);
                 $temp = str_replace("#DIVERS", "$row->divers", $temp);
                 $temp = str_replace("#TYPE", "$row->type", $temp);
                 $temp = str_replace("#POIDS", "$row->poids", $temp);
                 $temp = str_replace("#LOT", "$row->lot", $temp);
                 $temp = str_replace("#DISTRIBUTION", "$row->distribution", $temp);
                 $temp = str_replace("#VERSION", "$row->version", $temp);
               

                 $res .= $temp;
            }

            return $res;
         }   
		


	}

?>
