<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						   							 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/
?>
<?php

	include_once(realpath(dirname(__FILE__)) . "/../../../../classes/Baseobj.class.php");

	// Commandes
	class Socolissimo_export extends Baseobj{


		var $id;
		var $pays;
		var $alpha3;
		var $alpha2;
		var $code;

		var $table="socolissimo_export";
		var $bddvars = array("id", "pays", "alpha3", "alpha2", "code");		
	
		function Socolissimo_export(){
			$this->Baseobj();
		}
		
		
		function init(){
			$cnx = new Cnx();
			$query_socolissimo_export = "CREATE TABLE `socolissimo_export` (
			  `id` int(11) NOT NULL auto_increment,
			  `pays` int(11) NOT NULL,
			  `alpha3` varchar(3) NOT NULL,
			  `alpha2` varchar(2) NOT NULL,
			  `code` varchar(3) NOT NULL,
			  PRIMARY KEY  (`id`)
			) AUTO_INCREMENT=265 ;";
			$resul_commentaires = mysql_query($query_socolissimo_export, $cnx->link);	
			
			$query_socolissimo_export = "INSERT INTO `socolissimo_export` (`id`, `pays`, `alpha3`, `alpha2`, `code`) VALUES 
			(1, 1, 'AFG', 'AF', '004'),
			(2, 2, 'ZAF', 'ZA', '710'),
			(3, 3, 'ALB', 'AL', '008'),
			(4, 4, 'DZA', 'DZ', '012'),
			(5, 5, 'DEU', 'DE', '276'),
			(6, 6, 'AND', 'AD', '020'),
			(7, 7, 'AGO', 'AO', '024'),
			(8, 8, 'ATG', 'AG', '028'),
			(9, 9, 'SAU', 'SA', '682'),
			(10, 10, 'ARG', 'AR', '032'),
			(11, 11, 'ARM', 'AM', '051'),
			(12, 12, 'AUS', 'AU', '036'),
			(13, 13, 'AUT', 'AT', '040'),
			(14, 14, 'AZE', 'AZ', '031'),
			(15, 15, 'BHS', 'BS', '044'),
			(16, 16, 'BHR', 'BH', '048'),
			(17, 17, 'BGD', 'BD', '050'),
			(18, 18, 'BRB', 'BB', '052'),
			(19, 19, 'PLW', 'PW', '585'),
			(20, 20, 'BEL', 'BE', '056'),
			(21, 21, 'BLZ', 'BZ', '084'),
			(22, 22, 'BEN', 'BJ', '204'),
			(23, 23, 'BTN', 'BT', '064'),
			(24, 24, 'BLR', 'BY', '112'),
			(25, 25, 'MMR', 'MM', '104'),
			(26, 26, 'BOL', 'BO', '068'),
			(27, 27, 'BIH', 'BA', '070'),
			(28, 28, 'BWA', 'BW', '072'),
			(29, 29, 'BRA', 'BR', '076'),
			(30, 30, 'BRN', 'BN', '096'),
			(31, 31, 'BGR', 'BG', '100'),
			(32, 32, 'BFA', 'BF', '854'),
			(33, 33, 'BDI', 'BI', '108'),
			(34, 34, 'KHM', 'KH', '116'),
			(35, 35, 'CMR', 'CM', '120'),
			(36, 247, 'CAN', 'CA', '124'),
			(37, 246, 'CAN', 'CA', '124'),
			(38, 254, 'CAN', 'CA', '124'),
			(39, 249, 'CAN', 'CA', '124'),
			(40, 252, 'CAN', 'CA', '124'),
			(41, 253, 'CAN', 'CA', '124'),
			(42, 258, 'CAN', 'CA', '124'),
			(43, 250, 'CAN', 'CA', '124'),
			(44, 251, 'CAN', 'CA', '124'),
			(45, 248, 'CAN', 'CA', '124'),
			(46, 255, 'CAN', 'CA', '124'),
			(47, 257, 'CAN', 'CA', '124'),
			(48, 256, 'CAN', 'CA', '124'),
			(49, 37, 'CPV', 'CV', '132'),
			(50, 38, 'CHL', 'CL', '152'),
			(51, 39, 'CHN', 'CN', '156'),
			(52, 40, 'CYP', 'CY', '196'),
			(53, 41, 'COL', 'CO', '170'),
			(54, 246, 'COL', 'CO', '170'),
			(55, 42, 'COM', 'KM', '174'),
			(56, 43, 'COD', 'CD', '180'),
			(57, 44, 'COK', 'CK', '184'),
			(58, 45, 'KOR', 'KR', '410'),
			(59, 46, 'PRK', 'KP', '408'),
			(60, 47, 'CRI', 'CR', '188'),
			(61, 48, 'CIV', 'CI', '384'),
			(62, 49, 'HRV', 'HR', '191'),
			(63, 50, 'CUB', 'CU', '192'),
			(64, 51, 'DNK', 'DK', '208'),
			(65, 52, 'DJI', 'DJ', '262'),
			(66, 53, 'DOM', 'DO', '214'),
			(67, 54, 'EGY', 'EG', '818'),
			(68, 55, 'ARE', 'AE', '784'),
			(69, 56, 'ECU', 'EC', '218'),
			(70, 57, 'ERI', 'ER', '232'),
			(71, 58, 'ESP', 'ES', '724'),
			(72, 59, 'EST', 'EE', '233'),
			(73, 61, 'ETH', 'ET', '231'),
			(74, 62, 'FJI', 'FJ', '242'),
			(75, 63, 'FIN', 'FI', '246'),
			(76, 64, 'FRA', 'FR', '250'),
			(77, 65, 'GAB', 'GA', '266'),
			(78, 66, 'GMB', 'GM', '270'),
			(79, 67, 'GEO', 'GE', '268'),
			(80, 68, 'GHA', 'GH', '288'),
			(81, 69, 'GRC', 'GR', '300'),
			(82, 70, 'GRD', 'GD', '308'),
			(83, 259, 'GLP', 'GP', '312'),
			(84, 71, 'GTM', 'GT', '320'),
			(85, 72, 'GIN', 'GN', '324'),
			(86, 74, 'GNQ', 'GQ', '226'),
			(87, 73, 'GNB', 'GW', '624'),
			(88, 75, 'GUY', 'GY', '328'),
			(89, 260, 'GUF', 'GF', '254'),
			(90, 76, 'HTI', 'HT', '332'),
			(91, 77, 'HND', 'HN', '340'),
			(92, 78, 'HUN', 'HU', '348'),
			(93, 79, 'IND', 'IN', '356'),
			(94, 80, 'IDN', 'ID', '360'),
			(95, 81, 'IRN', 'IR', '364'),
			(96, 82, 'IRQ', 'IQ', '368'),
			(97, 83, 'IRL', 'IE', '372'),
			(98, 84, 'ISL', 'IS', '352'),
			(99, 85, 'ISR', 'IL', '376'),
			(100, 86, 'ITA', 'IT', '380'),
			(101, 87, 'JAM', 'JM', '388'),
			(102, 88, 'JPN', 'JP', '392'),
			(103, 89, 'JOR', 'JO', '400'),
			(104, 90, 'KAZ', 'KZ', '398'),
			(105, 91, 'KEN', 'KE', '404'),
			(106, 92, 'KGZ', 'KG', '417'),
			(107, 93, 'KIR', 'KI', '296'),
			(108, 94, 'KWT', 'KW', '414'),
			(109, 95, 'LAO', 'LA', '418'),
			(110, 96, 'LSO', 'LS', '426'),
			(111, 97, 'LVA', 'LV', '428'),
			(112, 98, 'LBN', 'LB', '422'),
			(113, 99, 'LBR', 'LR', '430'),
			(114, 100, 'LBY', 'LY', '434'),
			(115, 101, 'LIE', 'LI', '438'),
			(116, 102, 'LTU', 'LT', '440'),
			(117, 103, 'LUX', 'LU', '442'),
			(118, 104, 'MAC', 'MO', '446'),
			(119, 105, 'MDG', 'MG', '450'),
			(120, 106, 'MYS', 'MY', '458'),
			(121, 107, 'MWI', 'MW', '454'),
			(122, 108, 'MDV', 'MV', '462'),
			(123, 109, 'MLI', 'ML', '466'),
			(124, 110, 'MLT', 'MT', '470'),
			(125, 111, 'MAR', 'MA', '504'),
			(126, 112, 'MHL', 'MH', '584'),
			(127, 261, 'MTQ', 'MQ', '474'),
			(128, 113, 'MUS', 'MU', '480'),
			(129, 114, 'MRT', 'MR', '478'),
			(130, 262, 'MYT', 'YT', '175'),
			(131, 115, 'MEX', 'MX', '484'),
			(132, 116, 'FSM', 'FM', '583'),
			(133, 117, 'MDA', 'MD', '498'),
			(134, 118, 'MCO', 'MC', '492'),
			(135, 119, 'MNG', 'MN', '496'),
			(136, 120, 'MOZ', 'MZ', '508'),
			(137, 121, 'NAM', 'NA', '516'),
			(138, 122, 'NRU', 'NR', '520'),
			(139, 123, 'NPL', 'NP', '524'),
			(140, 124, 'NIC', 'NI', '558'),
			(141, 125, 'NER', 'NE', '562'),
			(142, 126, 'NGA', 'NG', '566'),
			(143, 127, 'NIU', 'NU', '570'),
			(144, 128, 'NOR', 'NO', '578'),
			(145, 265, 'NCL', 'NC', '540'),
			(146, 129, 'NZL', 'NZ', '554'),
			(147, 130, 'OMN', 'OM', '512'),
			(148, 131, 'UGA', 'UG', '800'),
			(149, 132, 'UZB', 'UZ', '860'),
			(150, 133, 'PAK', 'PK', '586'),
			(151, 134, 'PAN', 'PA', '591'),
			(152, 135, 'PNG', 'PG', '598'),
			(153, 136, 'PRY', 'PY', '600'),
			(154, 137, 'NLD', 'NL', '528'),
			(155, 138, 'PER', 'PE', '604'),
			(156, 139, 'PHL', 'PH', '608'),
			(157, 140, 'POL', 'PL', '616'),
			(158, 266, 'PYF', 'PF', '258'),
			(159, 141, 'PRT', 'PT', '620'),
			(160, 142, 'QAT', 'QA', '634'),
			(161, 143, 'CAF', 'CF', '140'),
			(162, 144, 'DOM', 'DO', '214'),
			(163, 145, 'CZE', 'CZ', '203'),
			(164, 263, 'REU', 'RE', '638'),
			(165, 146, 'ROU', 'RO', '642'),
			(166, 147, 'GBR', 'GB', '826'),
			(167, 148, 'RUS', 'RU', '643'),
			(168, 149, 'RWA', 'RW', '646'),
			(169, 150, 'KNA', 'KN', '659'),
			(170, 152, 'SMR', 'SM', '674'),
			(171, 153, 'VCT', 'VC', '670'),
			(172, 151, 'LCA', 'LC', '662'),
			(173, 154, 'SLB', 'SB', '090'),
			(174, 155, 'SLV', 'SV', '222'),
			(175, 156, 'WSM', 'WS', '882'),
			(176, 157, 'STP', 'ST', '678'),
			(177, 158, 'SEN', 'SN', '686'),
			(178, 159, 'SYC', 'SC', '690'),
			(179, 160, 'SLE', 'SL', '694'),
			(180, 161, 'SGP', 'SG', '702'),
			(181, 162, 'SVK', 'SK', '703'),
			(182, 163, 'SVN', 'SI', '705'),
			(183, 164, 'SOM', 'SO', '706'),
			(184, 165, 'SDN', 'SD', '736'),
			(185, 166, 'LKA', 'LK', '144'),
			(186, 264, 'SPM', 'PM', '666'),
			(187, 167, 'SWE', 'SE', '752'),
			(188, 168, 'CHE', 'CH', '756'),
			(189, 169, 'SUR', 'SR', '740'),
			(190, 170, 'SWZ', 'SZ', '748'),
			(191, 171, 'SYR', 'SY', '760'),
			(192, 172, 'TJK', 'TJ', '762'),
			(193, 173, 'TZA', 'TZ', '834'),
			(194, 174, 'TCD', 'TD', '148'),
			(195, 175, 'THA', 'TH', '764'),
			(196, 176, 'TGO', 'TG', '768'),
			(197, 177, 'TON', 'TO', '776'),
			(198, 178, 'TTO', 'TT', '780'),
			(199, 179, 'TUN', 'TN', '788'),
			(200, 180, 'TKM', 'TM', '795'),
			(201, 181, 'TUR', 'TR', '792'),
			(202, 182, 'TUV', 'TV', '798'),
			(203, 183, 'UKR', 'UA', '804'),
			(204, 184, 'URY', 'UY', '858'),
			(205, 196, 'USA', 'US', '840'),
			(206, 197, 'USA', 'US', '840'),
			(207, 198, 'USA', 'US', '840'),
			(208, 199, 'USA', 'US', '840'),
			(209, 200, 'USA', 'US', '840'),
			(210, 201, 'USA', 'US', '840'),
			(211, 202, 'USA', 'US', '840'),
			(212, 203, 'USA', 'US', '840'),
			(213, 204, 'USA', 'US', '840'),
			(214, 205, 'USA', 'US', '840'),
			(215, 206, 'USA', 'US', '840'),
			(216, 207, 'USA', 'US', '840'),
			(217, 208, 'USA', 'US', '840'),
			(218, 209, 'USA', 'US', '840'),
			(219, 210, 'USA', 'US', '840'),
			(220, 211, 'USA', 'US', '840'),
			(221, 212, 'USA', 'US', '840'),
			(222, 213, 'USA', 'US', '840'),
			(223, 214, 'USA', 'US', '840'),
			(224, 215, 'USA', 'US', '840'),
			(225, 216, 'USA', 'US', '840'),
			(226, 217, 'USA', 'US', '840'),
			(227, 218, 'USA', 'US', '840'),
			(228, 219, 'USA', 'US', '840'),
			(229, 220, 'USA', 'US', '840'),
			(230, 221, 'USA', 'US', '840'),
			(231, 222, 'USA', 'US', '840'),
			(232, 223, 'USA', 'US', '840'),
			(233, 224, 'USA', 'US', '840'),
			(234, 225, 'USA', 'US', '840'),
			(235, 226, 'USA', 'US', '840'),
			(236, 227, 'USA', 'US', '840'),
			(237, 228, 'USA', 'US', '840'),
			(238, 229, 'USA', 'US', '840'),
			(239, 230, 'USA', 'US', '840'),
			(240, 231, 'USA', 'US', '840'),
			(241, 232, 'USA', 'US', '840'),
			(242, 233, 'USA', 'US', '840'),
			(243, 234, 'USA', 'US', '840'),
			(244, 235, 'USA', 'US', '840'),
			(245, 236, 'USA', 'US', '840'),
			(246, 237, 'USA', 'US', '840'),
			(247, 238, 'USA', 'US', '840'),
			(248, 239, 'USA', 'US', '840'),
			(249, 240, 'USA', 'US', '840'),
			(250, 241, 'USA', 'US', '840'),
			(251, 242, 'USA', 'US', '840'),
			(252, 243, 'USA', 'US', '840'),
			(253, 244, 'USA', 'US', '840'),
			(254, 245, 'USA', 'US', '840'),
			(255, 186, 'VUT', 'VU', '548'),
			(256, 185, 'VAT', 'VA', '336'),
			(257, 187, 'VEN', 'VE', '862'),
			(258, 188, 'VNM', 'VN', '704'),
			(259, 267, 'WLF', 'WF', '876'),
			(260, 189, 'YEM', 'YE', '887'),
			(261, 190, 'SRB', 'RS', '688'),
			(262, 191, 'COD', 'CD', '180'),
			(263, 192, 'ZMB', 'ZM', '894'),
			(264, 193, 'ZWE', 'ZW', '716');";
			$resul_commentaires = mysql_query($query_socolissimo_export, $cnx->link);	
								
		
		}

        function charger($pays){
                return $this->getVars("select * from $this->table where pays=\"$pays\"");
        }	


	}

?>
