<?php

	include_once(realpath(dirname(__FILE__)) . "/Socolissimo.class.php");
	include_once(realpath(dirname(__FILE__)) . "/config.php");
	
?>
<?php
	function get_distance_m($lat1, $lng1, $lat2, $lng2) {
		  $earth_radius = 6378137;   // Terre = sphère de 6378km de rayon
 	 	  $rlo1 = deg2rad($lng1);
 		  $rla1 = deg2rad($lat1);
   	   	  $rlo2 = deg2rad($lng2);
 	 	  $rla2 = deg2rad($lat2);
  		  $dlo = ($rlo2 - $rlo1) / 2;
 		  $dla = ($rla2 - $rla1) / 2;
  		  $a = (sin($dla) * sin($dla)) + cos($rla1) * cos($rla2) * (sin($dlo) * sin($dlo));
  		  $d = 2 * atan2(sqrt($a), sqrt(1 - $a));
  	      return ($earth_radius * $d);
    }


	$d = dir($replaposte);

    while (false !== ($entry = $d->read()))
            if(strstr($entry, ".dat"))
                    $fichier = $entry;
    $d->close();

	if(! file_exists($replaposte . "/" . $fichier))
		exit;	
	
	$cnx = new Cnx();
	$query = "CREATE TABLE IF NOT EXISTS `socolissimo_rp_temp` (
			  `id` int(11) NOT NULL auto_increment,
			  `point` text NOT NULL,
			  `cpostal` text NOT NULL,
			  `type` text NOT NULL,
			  `classement` int(11) NOT NULL,
  			   PRIMARY KEY  (`id`)
			   ) AUTO_INCREMENT=1 ;";
	
	
	$resul = mysql_query($query, $cnx->link);
	
	$rec = file($replaposte . "/" . $fichier);
	
	$array_pr = array();
		
	for($i = 0; $i < count($rec); $i++){
		$ligne = explode(";", $rec[$i]);
		
		$test = new Socolissimo_pr();
		if($test->charger_point($ligne[1])){
		    if($ligne[0] == "PR"){
		      $array_pr[] = $ligne[1];
		      $test->libelle = $ligne[2];
			    $test->voie = $ligne[3];
			    $test->complement = $ligne[4];
			    $test->lieudit = $ligne[5];
			    $test->indiceloc = $ligne[6];
			    $test->cpostal = $ligne[7];
			    $test->commune = $ligne[8];
			    $test->latitude = str_replace(",", ".", $ligne[9]);
			    $test->longitude = str_replace(",", ".", $ligne[10]);
			    $test->divers =  $ligne[11];
			    $test->type = $ligne[12];
			    $test->poids = $ligne[13];
			    $test->lot = $ligne[14];
			    $test->distribution = $ligne[15];
			    $test->version = $ligne[16];
			    $test->ligne = 1;
			    $test->maj();
		    }
			  else if($ligne[0] == "HO"){
			    $ho = new Socolissimo_ho();
			    if($ho->charger_point($ligne[1],$ligne[2],$ligne[3])){
			      $ho->debut = $ligne[2];
    			  $ho->fin = $ligne[3];
    			  $ho->lundi = $ligne[4];
    			  $ho->mardi = $ligne[5];
    			  $ho->mercredi = $ligne[6];
    			  $ho->jeudi = $ligne[7];
    			  $ho->vendredi = $ligne[8];
    			  $ho->samedi = $ligne[9];
    			  $ho->dimanche = $ligne[10];
    			  $ho->maj();
			    }
			    else{
			      $ho = new Socolissimo_ho();
    			  $ho->point = $ligne[1];
    			  $ho->debut = $ligne[2];
    			  $ho->fin = $ligne[3];
    			  $ho->lundi = $ligne[4];
    			  $ho->mardi = $ligne[5];
    			  $ho->mercredi = $ligne[6];
    			  $ho->jeudi = $ligne[7];
    			  $ho->vendredi = $ligne[8];
    			  $ho->samedi = $ligne[9];
    			  $ho->dimanche = $ligne[10];		

    			  $ho->add();
			    }
			  }
			  else if($ligne[0] == "FE"){
			     $fe = new Socolissimo_fe();
			     if($fe->charger_point($ligne[1])){
			        $debut = explode("/", trim($ligne[2]));
              $fin = explode("/", trim($ligne[3]));

              $fe->debut = $debut[2] . "-" . $debut[1] . "-" . $debut[0];
              $fe->fin = $fin[2] . "-" . $fin[1] . "-" . $fin[0];
              $fe->maj();
			     }
			     else{
			       $fe = new Socolissimo_fe();

     			  $debut = explode("/", trim($ligne[2]));
     			  $fin = explode("/", trim($ligne[3]));

            	      $fe->point = $ligne[1];
            	      $fe->debut = $debut[2] . "-" . $debut[1] . "-" . $debut[0];
            	      $fe->fin = $fin[2] . "-" . $fin[1] . "-" . $fin[0];

            	      $fe->add();
			     }
			  }
		  
		}
		else{				
		// Points relais
		  if($ligne[0] == "PR"){
		    $array_pr[] = $ligne[1];
			  $pr = new Socolissimo_pr();
			  $pr->point = $ligne[1];
			  $pr->libelle = $ligne[2];
			  $pr->voie = $ligne[3];
			  $pr->complement = $ligne[4];
			  $pr->lieudit = $ligne[5];
			  $pr->indiceloc = $ligne[6];
			  $pr->cpostal = $ligne[7];
			  $pr->commune = $ligne[8];
			  $pr->latitude = str_replace(",", ".", $ligne[9]);
			  $pr->longitude = str_replace(",", ".", $ligne[10]);
			  $pr->divers =  $ligne[11];
			  $pr->type = $ligne[12];
			  $pr->poids = $ligne[13];
			  $pr->lot = $ligne[14];
			  $pr->distribution = $ligne[15];
			  $pr->version = $ligne[16];
			  $pr->ligne=1;
						
			  $pr->add();
			
		
		  }
		
		  // Heures d'ouverture
		  else if($ligne[0] == "HO"){
			  $ho = new Socolissimo_ho();
			  $ho->point = $ligne[1];
			  $ho->debut = $ligne[2];
			  $ho->fin = $ligne[3];
			  $ho->lundi = $ligne[4];
			  $ho->mardi = $ligne[5];
			  $ho->mercredi = $ligne[6];
			  $ho->jeudi = $ligne[7];
			  $ho->vendredi = $ligne[8];
			  $ho->samedi = $ligne[9];
			  $ho->dimanche = $ligne[10];		
		
			  $ho->add();
		  }
		
		  // Fermeture
		  else if($ligne[0] == "FE"){
			  $fe = new Socolissimo_fe();
		  
			  $debut = explode("/", trim($ligne[2]));
			  $fin = explode("/", trim($ligne[3]));
			
       	      $fe->point = $ligne[1];
       	      $fe->debut = $debut[2] . "-" . $debut[1] . "-" . $debut[0];
       	      $fe->fin = $fin[2] . "-" . $fin[1] . "-" . $fin[0];

       	      $fe->add();
     	}
     }
			
	}
	
	//vérification du retrait d'un point
	$pr = new Socolissimo_pr();
	$query = "select point from $pr->table";
	$resul = mysql_query($query,$pr->link);
	
	while($row = mysql_fetch_object($resul)){
	  
	  if(array_search($row->point,$array_pr) === FALSE){
	    $pr = new Socolissimo_pr();
	    $pr->charger_point($row->point);
	    $pr->ligne = 0;
	    $pr->maj();
	  }
	  
	}
	
	
	
	$type = array("BPR", "A2P", "CIT");
	
	// Recherche des points les plus proches

	$rp = new Socolissimo_rp();
	$rp->table = "socolissimo_rp_temp";
	$rp->purge();
	
	$lcp = new Socolissimo_lcp();
	
	$query = "select * from $lcp->table";
	$resul = mysql_query($query, $lcp->link);
	
	
	while($row = mysql_fetch_object($resul)){
		
	 for($i = 0; $i < count($type); $i++){	
		
		
		$pr = new Socolissimo_pr();
		
		$query2 = "select * from $pr->table where type=\"" . $type[$i] . "\" and ligne=1";
		$resul2 = mysql_query($query2, $pr->link);

		$tab = "";
		
		while($row2 = mysql_fetch_object($resul2)){
			$point = $row2->point;
			settype($point, "string");
			
			$tab[$point] =  get_distance_m($row->latitude, $row->longitude, $row2->latitude, $row2->longitude);
						
			
		}
		asort($tab);

		$compt = 0;
		
		
		foreach($tab as $cle => $valeur){

			if($valeur >= 100000)
				break;
				
			$rp = new Socolissimo_rp();
			$rp->table = "socolissimo_rp_temp";
			$rp->point = $cle;
			$rp->cpostal = $row->cpostal;
			$rp->type = $type[$i];
			$rp->classement = $compt + 1;
			$rp->add();
			
			$compt ++;
			if($compt == 8)
				break;
		}
		
	 }	
	}
	
	
	$query = "truncate TABLE `socolissimo_rp`;";
	$result = mysql_query($query, $cnx->link);
	
	$query = "INSERT INTO `socolissimo_rp` SELECT * FROM `socolissimo_rp_temp` ;";
	$result = mysql_query($query, $cnx->link);	

	$query = "DROP TABLE `socolissimo_rp_temp` ;";
	$result = mysql_query($query, $cnx->link);	
	
	unlink($replaposte . "/" . $fichier);
	
?>
